Win a copy of The Little Book of Impediments (e-book only) this week in the Agile and Other Processes forum!
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic

java 1.4 has serious bugs

 
sunitha singh
Greenhorn
Posts: 8
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
My applet gets compiled in all versions from 1.1 to 1.4 but behaves weired in 1.4jvm(Its working good in all earlier versions).
And also when I compile my code in jdk1.4 it won't run in earlier versions of jvm(Though I can compile it in all versions).
Please if some one has any solution to my problem please let me know
thanks
 
Dirk Schreckmann
Sheriff
Posts: 7023
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
sunitha,
Welcome to JavaRanch!
We ain't got many rules 'round these parts, but we do got one. Please change your display name to comply with The JavaRanch Naming Policy.
Thanks Pardner!
 
Dirk Schreckmann
Sheriff
Posts: 7023
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
By default, the Java SDK 1.4 compiles for 1.2 JVM's. The Java SDK 1.3 compiles for 1.1 JVM's.
If you want your applet to run under 1.1 JVM's, then compile with the target switch like this:
javac -target 1.1 Whatever.java
For more information on the details of using javac, take a look at The javac Documentation.
 
Shashi Kanta
Ranch Hand
Posts: 89
  • Mark post as helpful
  • send pies
  • Quote
  • Report post to moderator
i haven't had any problem so far!!
i have been using jsdk1.4.0 for the past 2 months and have been compiling applets and awts and running them without any problem. moreover the appplets could run in machines using jdk1.3 . i don't know whether it'll work in jdk1.2 or not.
hope u don't face the problem now anymore.
rgds,
Shashi
 
  • Post Reply
  • Bookmark Topic Watch Topic
  • New Topic